Bug 135368 - [kde][httx] candidate window position itself at 0,0
Summary: [kde][httx] candidate window position itself at 0,0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iiimf (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: IIIMF
TreeView+ depends on / blocked
 
Reported: 2004-10-12 09:36 UTC by Lawrence Lim
Modified: 2014-03-26 00:51 UTC (History)
6 users (show)

Fixed In Version: 12.2-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 01:12:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
httx in the KDE desktop (270.86 KB, image/png)
2004-10-12 09:39 UTC, Lawrence Lim
no flags Details

Description Lawrence Lim 2004-10-12 09:36:41 UTC
Description of problem:
This bug affects all LE with candidate window option. 
In the KDE desktop, candidate window always display at the 0,0
position of application. As a result, it is impossible to know what is
entered.

Version-Release number of selected component (if applicable):
- im-sdk-12.0.1-13.svn1943
- kdebase-3.3.0-7

How reproducible:
Always

Steps to Reproduce:
1.in gdm login as normal user with japanese / kde session
2.after run kde, press alt-f2 to run dialog
3.ctrl-space to activiate LE
4.enter 'aka'
5.enter SPACE twice to show the candidates window
  
Actual results:
Candidate window is display at position 0,0 of the dialog

Expected results:
It will be ideal if the candidate window is display under the cursor
similar to GNOME desktop, so that it does not obstruct the view of user.

Additional info:
Same situation in applications such as kedit.
Please see attached screenshots for more detail.

Comment 1 Lawrence Lim 2004-10-12 09:39:52 UTC
Created attachment 105054 [details]
httx in the KDE desktop

Comment 2 Lawrence Lim 2004-10-13 03:49:16 UTC
Some additional information.

Tested with xcin (XIM), kinput2 and chinput(XIM), it has been observed
that the candidatest window does follow the cursor. And as a result,
it is believe that KDE does provide cursor position through XIMP to
XIM server.

Comment 3 Leon Ho 2004-11-08 11:51:14 UTC
This should be better if bug 137412 is fixed.

Comment 4 Akira TAGOH 2005-07-22 09:30:17 UTC
Fixed in 12.2-9.


Note You need to log in before you can comment on or make changes to this bug.